Skip to main content
GET
/
v2
/
farcaster
/
block
/
list
Blocked / Blocked by FIDs
curl --request GET \
  --url https://api.neynar.com/v2/farcaster/block/list/ \
  --header 'x-api-key: <api-key>'
{
  "blocks": [
    {
      "object": "block",
      "blocked_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": {
    "cursor": "<string>"
  }
}

Node.js SDK

🔗 SDK Method: fetchBlockList Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Headers

x-neynar-experimental
boolean
default:false

Enables experimental features including filtering based on the Neynar score. See docs for more details.

Query Parameters

blocker_fid
integer

Providing this will return the users that this user has blocked

Required range: x >= 1
Example:

194

blocked_fid
integer

Providing this will return the users that have blocked this user

Required range: x >= 1
Example:

194

limit
integer<int32>
default:20

Number of results to fetch

Required range: 1 <= x <= 100
Example:

20

cursor
string

Pagination cursor.

Response

Success

blocks
BlockRecord · object[]
required
next
NextCursor · object
required

Returns next cursor